pf: Fix vnet initialisation
ClosedPublic

Authored by kristof on May 3 2017, 8:20 PM.

Details

Reviewers
zec
gnn
Group Reviewers
network
Commits
rS317907: pf: Fix vnet initialisation
Summary
When running the vnet init code (pf_load_vnet()) we used to iterate over
all vnets, marking them as unhooked.
This is incorrect and leads to panics if pf is unloaded, as the unload
code does not unregister the pfil hooks (because the vnet is marked as
unhooked).

There's no need or reason to touch other vnets during initialisation.
Their pf_load_vnet() function will be triggered, which handles all
required initialisation.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
kristof created this revision.May 3 2017, 8:20 PM
zec accepted this revision.May 4 2017, 8:10 AM
This revision is now accepted and ready to land.May 4 2017, 8:10 AM
gnn accepted this revision.May 6 2017, 8:00 PM
This revision was automatically updated to reflect the committed changes.